Subject: Re: bug#5323: 23.1.91; VC-dir with bzr gives a lot of junk

From: Jan Djärv <[email-masked]>
Date: Wed, 06 Jan 2010 15:36:14 +0100

Dan Nicolaescu skrev:
> [email-masked] (Jan "Djärv)" writes:
> 
>   > Start emacs in /home/jhd/src/bzr/emacs/fixes/.
>   > C-x v d <RETURN>
>   > 
>   > This shows 302 junk lines (no disrespect to Alex Schroeder intended)
>   > before the actual files are listed:
>   > 
>   > VC backend : Bzr
>   > Working dir: /home/jhd/src/bzr/emacs/fixes/
>   > Parent branch      : /home/jhd/src/bzr/emacs/trunk
>   > Shelves            : No shelved changes
>   > 
>   >                          ./
>   >     nil                   Alex Schroeder 2006-01-16 (rmail): Create the buffer using
>   >     nil                   Alex Schroeder 2006-01-16 (rmail-display-labels): Use identity instead ...
>   >     nil                   Alex Schroeder 2006-01-16 (rmail-ignored-headers): Merged several terms...
>   >     nil                   Alex Schroeder 2006-01-16 (rmail-message-subject-p, rmail-message-sende...
>   >     nil                   Alex Schroeder 2006-01-16 (rmail-nuke-pinhead-header, rmail-reformat-me...
>   >     nil                   Alex Schroeder 2006-01-16 (rmail-summary-font-lock-keywords): Fix typo for
>   >     nil                   Alex Schroeder 2006-01-16 (unrmail): Use regular expression search to find
>   >     nil                   Alex Schroeder 2006-01-16 *** empty log
>   >     message ***
>   > ... and so on.
>   > 
> 
> Strange.
> Can you reproduce this with emacs -Q?

Yes, it is the same with or without -Q.

> Any idea where that stuff comes from?

It looks like the latest checkin logs.  My ~/.nzr-log says it runs
% bzr status -v -S ./

and if I do that on the command line I get (not the same now, because I've 
merged from the trunk again):

?   cmd
?   upd
  M  lisp/ChangeLog
  M  lisp/vc-bzr.el
  M  lisp/gnus/ChangeLog
  M  lisp/gnus/gnus-art.el
  M  lisp/gnus/gnus-sum.el
  M  lisp/gnus/gnus-util.el
  M  lisp/gnus/message.el
  M  lisp/progmodes/python.el
?   src/.BAK.xterm.c
?   src/tag-files
?   src/xx.el
P   Katsumi Yamaoka 2010-01-06 [merge] * gnus-art.el (gnus-article-describe-...
P.   Katsumi Yamaoka 2010-01-06 [merge] Merge from mainline.
P.   Katsumi Yamaoka 2010-01-06 [merge] * gnus-util.el (gnus-invisible-p, gn...
P.   Katsumi Yamaoka 2010-01-06 Merge from mainline.
P.   Chong Yidong 2010-01-05 * progmodes/python.el (python-font-lock-keyword...
P.   Dan Nicolaescu 2010-01-05 (vc-bzr-working-revision): Fix looking for a ...
P.   Andreas Schwab 2010-01-05 Fix gnus-summary-recenter to properly handle ...
P.   Jan D. 2010-01-05 [merge] Handle internal-border width changes when max...

Those lines starting with P. shows up as nil ... lines in vc-dir.  The docs 
says they are pending merges.  If I commit those, the junk lines go away.

So pending merges outputted by bzr status isn't handled well

	Jan D.